For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETQuery Time Entries
      • POSTCreate Time Entry
      • PUTUpdate Time Entry
      • DELDelete Time Entry
      • GETRetrieve Administrative Tasks
      • POSTSubmit TimeSheet
      • POSTApprove TimeSheet
      • POSTReject TimeSheet
LogoLogo
SupportContact salesStart free trial
API ReferenceTimesheet

Update Time Entry

PUT
https://api.projectmanager.com/api/data/timesheets/:timesheetId
PUT
/api/data/timesheets/:timesheetId
$curl -X PUT https://api.projectmanager.com/api/data/timesheets/timesheetId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "taskId": "string",
16 "projectId": "string",
17 "resourceId": "string",
18 "timesheetAdminTypeId": "string",
19 "date": "2024-01-15T09:30:00Z",
20 "notes": "string",
21 "approved": true,
22 "hours": 1.1,
23 "minutes": 1,
24 "isCopied": true,
25 "lastUpdatedDate": "2024-01-15T09:30:00Z",
26 "documents": [
27 {
28 "id": "string",
29 "name": "string",
30 "url": "string",
31 "fileType": "string",
32 "fileTypeLabel": "string",
33 "date": "2024-01-15T09:30:00Z",
34 "size": 1,
35 "projectId": "string",
36 "projectType": "string",
37 "taskId": "string",
38 "newFilename": "string",
39 "canRead": true,
40 "thumbnailUrl": "string",
41 "externalId": "string",
42 "canDelete": true,
43 "isLocked": true,
44 "type": "string",
45 "dirty": true,
46 "deleted": true,
47 "isNew": true
48 }
49 ]
50 }
51}
Updates a time entry by its unique identifier. A Timesheet is a collection of time entries for a particular Resource for a specific week. Each time entry records the number of whole minutes spent by this Resource on an activity. An activity can be a Task in any project that Resource can access, or the activity can be an administrative task such as "Sick Leave" or "Meetings". When a time entry is linked to a Task, the number of minutes spent on the time entry are recorded as time spent on the Task. Time entries linked to an administrative tasks are grouped for reporting but are not added to any Task within your Workspace. Time entries are recorded in whole minutes. If you specify a time entry in fractional hours, either using the API or via the web application, the amount you specify will be converted to minutes and rounded to the nearest neighbor using the rounding algorithm Midpoint-Away-From-Zero. When a Timesheet is submitted for approval or approved, users are no longer permitted to create, update, or delete time entries for that week. Users with Global Admin level access can override this restriction and continue to make changes to a Timesheet after approval.
Was this page helpful?
Previous

Delete Time Entry

Next
Built with

Updates a time entry by its unique identifier.

A Timesheet is a collection of time entries for a particular Resource for a specific week. Each time entry records the number of whole minutes spent by this Resource on an activity. An activity can be a Task in any project that Resource can access, or the activity can be an administrative task such as “Sick Leave” or “Meetings”. When a time entry is linked to a Task, the number of minutes spent on the time entry are recorded as time spent on the Task. Time entries linked to an administrative tasks are grouped for reporting but are not added to any Task within your Workspace.

Time entries are recorded in whole minutes. If you specify a time entry in fractional hours, either using the API or via the web application, the amount you specify will be converted to minutes and rounded to the nearest neighbor using the rounding algorithm Midpoint-Away-From-Zero.

When a Timesheet is submitted for approval or approved, users are no longer permitted to create, update, or delete time entries for that week. Users with Global Admin level access can override this restriction and continue to make changes to a Timesheet after approval.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

timesheetIdstringRequiredformat: "uuid"
The unique identifier of the time entry to update

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The new information that should replace the previous time entry
hoursdouble or nullOptional
Reported hours. If minutes is specified this property is ignored
minutesinteger or nullOptional
Specify the time in minutes. This overrides the Hours property.
notesstring or nullOptional
Notes
documentIdslist of strings or nullOptional
Document Ids

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
Time entry representation